Package org.apache.axiom.ext.stax

# Interface DelegatingXMLStreamReader

All Superinterfaces:
  `XMLStreamConstants`, `XMLStreamReader`

public interface DelegatingXMLStreamReader extends XMLStreamReader
Deprecated.
Interface implemented by `XMLStreamReader` classes that delegate to another stream reader and that can be safely unwrapped.

This interface gives access to the parent reader, i.e. it allows to unwrap a stream reader wrapper. It should be noted that in general, unwrapping a wrapper and accessing the parent object is not a safe operation because it may invalidate the state of the wrapper (which may still be used later). Therefore this interface must only be implemented by `XMLStreamReader` classes for which unwrapping is a safe operation. In particular, this interface should not be implemented by wrappers that alter the sequence of events produced by the stream reader.

This interface is used by `XMLStreamReaderUtils.getOriginalXMLStreamReader(XMLStreamReader)` to get access to the original parser.

- ## Field Summary

  ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

  `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XMLStreamReader`
  `getParent()`
  Deprecated.

  ### Methods inherited from interface javax.xml.stream.XMLStreamReader

  `close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getElementText, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, standaloneSet`

- ## Method Details

  - ### getParent

    XMLStreamReader getParent()
    Deprecated.